bugzilla.mozilla.org will be intermittently unavailable on Saturday, March 24th, from 16:00 until 20:00 UTC.

Firefox RC3 breaks the IronKey Password Manager Extension




Extension Compatibility
10 years ago
10 years ago


(Reporter: Kevin Avoy, Unassigned)


Firefox Tracking Flags

(Not tracked)




10 years ago
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9) Gecko/2008052906 Firefox/3.0
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9) Gecko/2008052906 Firefox/3.0

Firefox RC3 breaks the IronKey Password Manager Extension

Install the latest Firefox RC3 build and the IronKey Password Manager does not function properly. 

Reproducible: Always

Steps to Reproduce:
1) Download the latest version of Firefox RC3
2) Replace the version that shipped with the IronKey (
3) Update the Install.rdf files to set the MaxVers to 3.0.*
4) Launch Firefox from the IronKey

Actual Results:  
Actual: The IronKey Password Manager toolbar will appear, but it will not function properly.  It will not prompt to remember passwords and selecting passwords from the Portable Bookmark menu will not navigate to the url.  There is also no auto-submit.

Works properly with earlier versions of Firefox.  
Works properly with IE.

Any help on figuring out why the new version of Firefox breaks the IronKey Password Manager is GREATLY appreciated!!

Expected Results:  
Password Manager would function as it did in 2.0.0.x versions of Firefox.

As Mozilla is releasing a new version of Firefox tomorrow, and pointers to what changed would be hugely appreciated!!
This is a problem with the addon itself and you can not report extensions bugs in bugzilla, please notify the author of that addon.

-> invalid
Last Resolved: 10 years ago
Resolution: --- → INVALID

Comment 2

10 years ago
The add-on did not change - Mozilla Firefox changed and in the process broken the add-on.  Firefox should maintain backwards compatibility!
Firefox changed of course, that why the Version number is now 3 instead of 2.
If we should can not change anything then we can not fix or improve anything.
We maintain backwards compatibility in the Firefox2 tree but you can not expect backward compatibility for all versions from day zero to 100 years in the future.
Firefox2 is 3 years old (based on a 3 years old Gecko branch).
You need to log in before you can comment on or make changes to this bug.